NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Routing.AssignCornerBuilder Class Reference

Builder class for Assign Corner which creates corner More...

Inheritance diagram for NXOpen.Routing.AssignCornerBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.NXObject GetAttributeHolder ()
 Gets Attribute holder in builder, which is user for template attribute assignment. More...
 
unsafe
NXOpen.Routing.CharacteristicList 
GetBendCornerAttributes ()
 Corner Attributes More...
 
unsafe void SetBendCornerAttributes (NXOpen.Routing.CharacteristicList selectedRowAttributesCharxList)
 Corner Attributes More...
 
unsafe void SetStockList (NXOpen.Routing.Stock[] stockObjects)
 Set the NXOpen.Routing.Stock object list when list box is updated. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double RadiusFromBendTable [get, set]
 Returns or sets the radius determined using the stock and the bend radius table. More...
 
unsafe int ReverseValue [get, set]
 Returns or sets the value to store whether reverse order (for bend creation) or not More...
 
unsafe
NXOpen.Routing.CornerTypeBuilder 
RouteAssignCornerCornerBlock [get]
 Returns the route assign corner corner block More...
 
unsafe NXOpen.SelectNXObject RouteAssignCornerEndObject [get]
 Returns the route assign corner end objects. More...
 
unsafe
NXOpen.Routing.RouteObjectCollector 
RouteAssignCornerRouteSelection [get]
 Returns the routing object colletor More...
 
unsafe NXOpen.SelectNXObject RouteAssignCornerStartObject [get]
 Returns the route assign corner start objects. More...
 
unsafe NXOpen.SelectNXObjectList SelectCopeStock [get]
 Returns the user selected correct object where correct object is NXOpen.Routing.Stock and NXOpen.Routing.ISegment . More...
 
unsafe
NXOpen.Routing.RouteObjectCollector 
UBendSelection [get]
 Returns the routing object collector for ubend More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder class for Assign Corner which creates corner

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateAssignCornerBuilder

Default values.

Property Value

RouteAssignCornerCornerBlock.RouteCornerBendMethods

Radius

RouteAssignCornerCornerBlock.RouteCornerRadius.Value

0 (millimeters part), 0 (inches part)

RouteAssignCornerCornerBlock.RouteCornerRatioToDiameter.Value

0 (millimeters part), 0 (inches part)

RouteAssignCornerCornerBlock.RouteCornerRequireLinearSolution

0

Created in NX6.0.0

Member Function Documentation

unsafe NXOpen.NXObject NXOpen.Routing.AssignCornerBuilder.GetAttributeHolder ( )
inline

Gets Attribute holder in builder, which is user for template attribute assignment.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

Returns
Object to hold template attributes
unsafe NXOpen.Routing.CharacteristicList NXOpen.Routing.AssignCornerBuilder.GetBendCornerAttributes ( )
inline

Corner Attributes

Created in NX12.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe void NXOpen.Routing.AssignCornerBuilder.SetBendCornerAttributes ( NXOpen.Routing.CharacteristicList  selectedRowAttributesCharxList)
inline

Corner Attributes

Created in NX12.0.0

License requirements: routing_base ("Routing Basic")

Parameters
selectedRowAttributesCharxList
unsafe void NXOpen.Routing.AssignCornerBuilder.SetStockList ( NXOpen.Routing.Stock[]  stockObjects)
inline

Set the NXOpen.Routing.Stock object list when list box is updated.

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Parameters
stockObjectsRouting Stocks for cope creation

Property Documentation

unsafe double NXOpen.Routing.AssignCornerBuilder.RadiusFromBendTable
getset

Returns or sets the radius determined using the stock and the bend radius table.

Created in NX12.0.1

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe int NXOpen.Routing.AssignCornerBuilder.ReverseValue
getset

Returns or sets the value to store whether reverse order (for bend creation) or not

Created in NX6.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Routing.CornerTypeBuilder NXOpen.Routing.AssignCornerBuilder.RouteAssignCornerCornerBlock
get

Returns the route assign corner corner block

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.SelectNXObject NXOpen.Routing.AssignCornerBuilder.RouteAssignCornerEndObject
get

Returns the route assign corner end objects.

Valid start objects objects are NXOpen.Routing.ControlPoint and NXOpen.Routing.ISegment

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.Routing.RouteObjectCollector NXOpen.Routing.AssignCornerBuilder.RouteAssignCornerRouteSelection
get

Returns the routing object colletor

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.SelectNXObject NXOpen.Routing.AssignCornerBuilder.RouteAssignCornerStartObject
get

Returns the route assign corner start objects.

Valid start objects are NXOpen.Routing.ControlPoint and NXOpen.Routing.ISegment

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.SelectNXObjectList NXOpen.Routing.AssignCornerBuilder.SelectCopeStock
get

Returns the user selected correct object where correct object is NXOpen.Routing.Stock and NXOpen.Routing.ISegment .

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.Routing.RouteObjectCollector NXOpen.Routing.AssignCornerBuilder.UBendSelection
get

Returns the routing object collector for ubend

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.